[arch-commits] Commit in chromium/trunk (3 files)

Pierre Schmitz pierre at archlinux.org
Sun Dec 13 19:13:26 UTC 2009


    Date: Sunday, December 13, 2009 @ 14:13:26
  Author: pierre
Revision: 61235

Added:
  chromium/trunk/ffmpeg_branding_mime.patch
Modified:
  chromium/trunk/PKGBUILD	(contents, properties)
  chromium/trunk/chromium.sh

----------------------------+
 PKGBUILD                   |   31 +++++++++++++++++++------------
 chromium.sh                |    2 +-
 ffmpeg_branding_mime.patch |   29 +++++++++++++++++++++++++++++
 3 files changed, 49 insertions(+), 13 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-12-13 18:56:23 UTC (rev 61234)
+++ PKGBUILD	2009-12-13 19:13:26 UTC (rev 61235)
@@ -1,9 +1,9 @@
-# $Id: $
+# $Id$
 # Maintainer: Pierre Schmitz <pierre at archlinux.de>
 
 pkgname=chromium
 pkgver=4.0.249.30
-pkgrel=1
+pkgrel=2
 pkgdesc='An open-source browser project that aims to build a safer, faster, and more stable way for all users to experience the web'
 arch=('i686' 'x86_64')
 url='http://www.chromium.org/'
@@ -16,27 +16,32 @@
 # downgrade from 4.0.267.0-2
 options=('force')
 source=("ftp://ftp.archlinux.org/other/chromium/chromium-${pkgver}.tar.xz"
-        'chromium.desktop' 'chromium.sh' 'drop_sse2.patch')
+        'chromium.desktop' 'chromium.sh'
+        'drop_sse2.patch' 'ffmpeg_branding_mime.patch')
 md5sums=('59d316bd0f319178e1faffce7b2c81d2'
          '312df68330d6e288cbb2260bad620a32'
-         'a2fbdd2744e2dd92d3fa480815485725'
-         'a4a920d7b198c0a2f6e39d60ec75abd5')
+         '2689154f4a41511e136d9594a0086aa0'
+         'a4a920d7b198c0a2f6e39d60ec75abd5'
+         '5e36845dd9e053da3bf5fc814e502d68')
 
 build() {
 	cd ${srcdir}/chromium-${pkgver}
 
-	export GYP_GENERATORS="make"
-	export BUILDTYPE="Release"
-	export GYP_DEFINES='gcc_version=44 no_strict_aliasing=1 linux_sandbox_path=/usr/lib/chromium/chromium-sandbox'
+	export GYP_GENERATORS='make'
+	export BUILDTYPE='Release'
+	export GYP_DEFINES="gcc_version=44 \
+		no_strict_aliasing=1 \
+		linux_sandbox_path=/usr/lib/chromium/chromium-sandbox \
+		linux_strip_binary=1 \
+		release_extra_cflags='${CFLAGS}' \
+		ffmpeg_branding=Chrome"
 
+	patch -p0 -i ${srcdir}/ffmpeg_branding_mime.patch || return 1
+
 	# i686 does not include SSE2
 	# see http://code.google.com/p/chromium/issues/detail?id=9007
 	patch -p0 -i ${srcdir}/drop_sse2.patch || return 1
 
-	if [ "${CARCH}" = 'x86_64' ]; then
-		GYP_DEFINES="${GYP_DEFINES} target_arch=x64"
-	fi
-
 	export PATH=./depot_tools/:$PATH
 	gclient runhooks --force || return 1
 
@@ -115,6 +120,8 @@
 	find . -name '.svn' -type d -exec rm -rf {} \;
 	find . -iname '*.dll' -delete
 	find . -iname '*.exe' -delete
+	find . -iname '*.o' -delete
+	find . -iname '*.nexe' -delete
 
 	cd ..
 	bsdtar cvJf $_current/chromium-$pkgver.tar.xz chromium-$pkgver


Property changes on: chromium/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id

Modified: chromium.sh
===================================================================
--- chromium.sh	2009-12-13 18:56:23 UTC (rev 61234)
+++ chromium.sh	2009-12-13 19:13:26 UTC (rev 61235)
@@ -2,4 +2,4 @@
 export PATH=$PATH:/usr/lib/chromium
 export CHROME_WRAPPER=/usr/lib/chromium/chromium
 export CHROME_DESKTOP=chromium.desktop
-/usr/lib/chromium/chromium $@
+exec /usr/lib/chromium/chromium $@

Added: ffmpeg_branding_mime.patch
===================================================================
--- ffmpeg_branding_mime.patch	                        (rev 0)
+++ ffmpeg_branding_mime.patch	2009-12-13 19:13:26 UTC (rev 61235)
@@ -0,0 +1,29 @@
+--- src/net/base/mime_util.cc.orig	2009-12-13 19:09:26.467781732 +0100
++++ src/net/base/mime_util.cc	2009-12-13 19:10:14.967931404 +0100
+@@ -188,7 +188,6 @@
+   "audio/ogg",
+   "application/ogg",
+ 
+-#if defined(GOOGLE_CHROME_BUILD)
+   // MPEG-4.
+   "video/mp4",
+   "video/x-m4v",
+@@ -198,7 +197,6 @@
+   // MP3.
+   "audio/mp3",
+   "audio/x-mp3",
+-#endif
+ };
+ 
+ // List of supported codecs when passed in with <source type="...">.
+@@ -206,10 +204,8 @@
+ // Refer to http://wiki.whatwg.org/wiki/Video_type_parameters#Browser_Support
+ // for more information.
+ static const char* const supported_media_codecs[] = {
+-#if defined(GOOGLE_CHROME_BUILD)
+   "avc1",
+   "mp4a",
+-#endif
+   "theora",
+   "vorbis",
+ };




More information about the arch-commits mailing list